Subject: Re: arch/powerpc/boot/wrapper broken

From: Michael Buesch <[email-masked]>
Date: Sat, 27 Oct 2007 15:01:04 +0200

On Saturday 27 October 2007 14:55:49 Vitaly Bordug wrote:
> On Sat, 27 Oct 2007 14:42:49 +0200
> Michael Buesch wrote:
> 
> > It calls the "mkimage" command, which does not exist
> > in my $PATH.
> > 
> well, mkImage is a part of u-boot and there was some talk to make it part of kernel too,
> since it does not take alot of place but still mandatory for a number of platforms to work.
> 
> I think, Paul will clarify the details, meanwhile you can install mkImage say building u-boot, and
> some distros may have such a package.
> 

Ubuntu doesn't seem to, though.

In any case, I think that the name "mkimage" is bad for a tool installed
globally in /usr. Does it make a iso9660 image? (No it doesn't, I know :) )

I'd vote for shipping it with the kernel in /scripts or something like that.

-- 
Greetings Michael.